Support » Plugin: WooCommerce PDF Invoices » Plugin causing fatal error with outdated WC hook

  • Resolved cyjosh

    (@cyjosh)


    Your plugin override/use of the ‘woocommerce_order_item_meta_start’ hook on line 439 of /woocommerce-pdf-invoices/includes/abstracts/abstract-invoice.php is using an outdated number of parameters and causing a fatal error when other plugins use it. See https://github.com/woocommerce/woocommerce/issues/18437

    When I tried to hook into that action it allows orders to process payment and create an order in WooCommerce. The customer sees an empty error notification box and remains on the order review page with the option to submit again, resulting in duplicate orders/payments each time they try.

    To fix this, simply add the default false 4th parameter to your do_action call.

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.